package JavaBasic.Homework1;

import java.util.Arrays;
import java.util.Random;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        String[][] history = {
                {"1900", "Народження квантовой фізики"}, {"1901", "Започатковано премію імені Нобеля"}, {"1902", "Підписання Англо-японського альянсу"}, {"1903", "Брати Райт здійснили перший контрольований польот літака"}, {"1904", "Початок російсько-японської війни"},
                {"1905", "Блокада Росії японським флотом під час російсько-японської війни"}, {"1906", "Перші вибори до Державної думи в Російській імперії"}, {"1907", "Утворення Триплі альянсу між Великою Британією, Францією та Російською імперією"}, {"1908", "Початок будівництва автомобіля Model T Генрі Форда"}, {"1909", "Відкриття Манської трубопровідної системи в США"},
                {"1910", "Встановлення порядку відкритих дверей в китайському парламенті"}, {"1911", " Створення Республіки Китай після свердловинської революції"}, {"1912", "Катастрофа Титаніка у своєму першому рейсі"}, {"1913", "Прийняття США 16-ої поправки, що передбачала введення податку на прибуток"}, {"1914", "Початок Першої світової війни"},
                {"1915", "Геноцид арменів в Османській імперії"}, {"1916", "Битва при Соммі під час Першої світової війни"}, {"1917", "Жовтнева революція в Росії"}, {"1918", "Підписання Договору Версалю, що завершило Першу світову війну"}, {"1919", "Утворення Ліги Націй як першої міжнародної організації для збереження миру"},
                {"1920", "Початок заборони алкоголю в США "}, {"1921", "Укладання Мирного договору в Ригі, який завершив Російську громадянську війну"}, {"1922", "Створення Союзу Радянських Соціалістичних Республік (СРСР)"}, {"1923", "Заснування компанії The Walt Disney Company"}, {"1924", "Ухвалення Конституції Турецької Республіки"},
                {"1925", "Публікація роману Фіцджеральда Великий Гетсбі"}, {"1926", "Винайдення телевізора Йоханом Логієбером"}, {"1927", "Заснування компанії Sony в Японії"}, {"1928", "Підписання Кельлогг-Бріандового пакту, який забороняв ведення війни"}, {"1929", "Велика Депресія, спричинена світовим економічним крахом"},
                {"1930", "Початок будівництва Голівудського знаку у Лос-Анджелесі"}, {"1931", "Японська імперія оголосила окупацію Маньчжурії"}, {"1932", "Утворення Саудівської Аравії"}, {"1933", "Обрання Франкліна Рузвельта президентом США та початок його New Deal"}, {"1934", "Ухвалення Закону про індіанську реорганізацію в США"},
                {"1935", "Початок Другої Італо-Ефіопської війни"}, {"1936", "Проведення літніх Олімпійських ігор у Берліні, Німеччина"}, {"1937", "Початок Другої китайсько-японської війни"}, {"1938", "Аншлюс Австрії Німеччиною"}, {"1939", "Початок Другої світової війни"},
                {"1940", "Евакуація союзників з Дюнкерка під час Другої світової війни"}, {"1941", "Напад Японії на Перл-Харбор, вступ США до Другої світової війни"}, {"1942", "Початок масової евакуації євреїв під час Голокосту"}, {"1943", "Битва при Сталінграді"}, {"1944", "День D - союзницьке висадження в Нормандії, Франція"},
                {"1945", "Завершення Другої світової війни"}, {"1946", "Створення ЮНЕСКО"}, {"1947", "План Маршалла - програма допомоги від США для відновлення Європи після війни"}, {"1948", "Оголошення Декларації прав людини ООН"}, {"1949", "Утворення НАТО - Північноатлантичного договору організації"},
                {"1950", "Початок Корейської війни"}, {"1951", "Підписання Сан-Франциського мирного договору"}, {"1952", "Утворення Європейського вугільного та сталевого співтовариства"}, {"1953", "Смерть Йосипа Сталіна, головного лідера СРСР"}, {"1954", "Підписання Дженевських угод, що завершили Індо-китайську війну"},
                {"1955", "Початок Бойкоту автобусів у Монтгомері"}, {"1956", "Угорське повстання проти радянської влади в Будапешті"}, {"1957", "Запуск супутника Спутник-1, першого штучного супутника Землі"}, {"1958", "Заснування Американського космічного агентства (NASA)"}, {"1959", "Революція на Кубі під проводом Фіделя Кастро"},
                {"1960", "Початок проведення Паризького саміту, де було укладено Угоду про створення Європейського Економічного Співтовариства"}, {"1961", "Перший космічний польот людини, Юрій Гагарін, на кораблі Восток-1"}, {"1962", "Кубинська ракетна криза, конфлікт між США та СРСР через розташування ракет на Кубі"}, {"1963", "Марш Лінкольна за рівні права"}, {"1964", "Проголошення Бурнсідської групи"},
                {"1965", "Початок В'єтнамської війни між Північним та Південним В'єтнамом, підтримуваною США"}, {"1966", "Культурна революція в Китаї"}, {"1967", "Шестиденна війна між Ізраїлем та йорданськими, сирійськими та єгипетськими силами"}, {"1968", "Прагнення в Чехословаччині, масові протести проти комуністичного режиму.}, {1969: Перший крок людини на Місяць під час місії Аполлон-11"},
                {"1970", "Проведення першого Земного дня для привернення уваги до проблеми екології"}, {"1971", "Розпад золотого стандарту та введення системи плаваючого обмінного курсу валют"}, {"1972", "Підписання США та СРСР Договору про обмеження зброї ABM (антибалістичних ракет)"}, {"1973", "Організація нафтової ембарго, на підтримку арабських країн"}, {"1974", "Відкриття Підводного каналу Суецького"},
                {"1975", "Завершення В'єтнамської війни та падіння Сайгона під контроль Північного В'єтнаму"}, {"1976", "Початок Культурної революції у Камбоджі під режимом Хмерів Червоних"}, {"1977", "Підписання Загальноєвропейського акта з прав людини"}, {"1978", "Початок Ісламської революції в Ірані"}, {"1979", "Підписання мирного договору між Ізраїлем та Єгиптом в Кемп Девід"},
                {"1980", "Початок другого афганського військового конфлікту після радянської інвазії"}, {"1981", "30 березня - Замах на президента США Рональда Рейгана"}, {"1982", "Завершення Фалькландської війни між Великою Британією та Аргентиною"}, {"1983", "Аварія на Чорнобильській АЕС"}, {"1984", "Літні Олімпійські ігри в Лос-Анджелесі"},
                {"1985", "Гласність і Перебудова - політичні реформи в СРСР під керівництвом Михайла Горбачова"}, {"1986", "Вибух на Чорнобильській АЕС "}, {"1987", "Підписання Договору про ліквідацію ракет середньої та меншої дальності (РСМД) між США та СРСР"}, {"1988", "Завершення ірано-іракської війни"}, {"1989", "Падіння Берлінської стіни"},
                {"1990", "Підписання Статуту обмеження військових сил у Європі "}, {"1991", "Розпад СРСР"}, {"1992", "Ухвалення Маастрихтського договору - створення Європейського Союзу"}, {"1993", "Укладення Осло-І та Осло-ІІ мирних угод між Ізраїлем та Палестинською Організацією"}, {"1994", "Геноцид у Руанді"},
                {"1995", "Бомбардування федеральної будівлі в Оклахомі"}, {"1996", "Олімпійські ігри в Атланті"}, {"1997", "Передача Гонконгу від Великої Британії до Китаю"}, {"1998", "Проведення ядерних випробувань Пакистаном та Індією"}, {"1999", "НАТО розпочинає бомбардування Сербії під час косовської війни з метою захисту албанського населення"}, {"2000", "Підписання Мілленіумських цілей ООН"}

        };

        Random rnd = new Random();
        int win = rnd.nextInt(1900, 2001);

        String winStr = Integer.toString(win);

        int yearLine = 0;

        for (int i = 0; i < history.length; i++)
            for (int j = 0; j < history[i].length; j++)
                if (winStr.equals(history[i][j])) {
                    yearLine = i;
                    break;
                }

        System.out.println("Please enter your name");

        Scanner scan = new Scanner(System.in);
        String name = scan.nextLine();

        System.out.println("Let the game begin!");

        System.out.println(history[yearLine][1]);

        int[] numbers = new int[0];
        int idx = 0;

        for (; ; ) {
            System.out.println();
            System.out.println("Please , enter your year (1900 - 2000)");

            if (scan.hasNextInt()) {
                int num = scan.nextInt();
                numbers = Arrays.copyOf(numbers, numbers.length + 1);
                numbers[idx] = num;
                idx++;

                if (num < win) {
                    System.err.println("Your number is too small. Please, try again.");
                } else if (num > win) {
                    System.err.println("Your number is too big. Please, try again.");

                } else {
                    System.out.printf("Congratulations, {%s}!", name);
                    System.out.println();
                    System.out.printf("%s в %s році ", history[yearLine][1], history[yearLine][0]);
                    System.out.println();
                    System.out.println("Your numbers:");
                    Arrays.sort(numbers);
                    for (int i = idx - 1; i >= 0; i--) {
                        System.out.print(" ");
                        System.out.print(numbers[i]);
                        System.out.print(",");
                    }
                    System.exit(0);
                }
            } else {
                System.err.println("You entered not a number , please enter a number");
                scan.nextLine();
            }
        }
    }
}